import ParameterTypes from "@site/src/components/ParameterTypes"

# Query

 **Query**: `T` extends `object` ? `T` extends [Scalar](types.Scalar.mdx) ? `never` : [FilterQuery](../../DAL/types/types.DAL.FilterQuery.mdx)&#60;T&#62; : [FilterValue](types.FilterValue.mdx)&#60;T&#62;

## Type Parameters

<ParameterTypes parameters={[
  {
    "name": "T",
    "type": "`object`",
    "description": "",
    "optional": false,
    "defaultValue": "",
    "expandable": false,
    "children": []
  }
]} />
